Index: menuselect/menuselect.c
===================================================================
--- menuselect/menuselect.c	(revision 951)
+++ menuselect/menuselect.c	(working copy)
@@ -455,9 +455,12 @@
 				mem->defaultenabled = cur3->child->value.opaque;
 			}
 
-			if (!cat->positive_output && !(mem->defaultenabled && strcasecmp(mem->defaultenabled, "no"))) {
-				mem->was_enabled = mem->enabled = 1;
-				print_debug("Enabled %s because the category does not have positive output\n", mem->name);
+			if (!cat->positive_output) {
+				mem->enabled = 1;
+				if (!(mem->defaultenabled && strcasecmp(mem->defaultenabled, "no"))) {
+					mem->was_enabled = 1;
+					print_debug("Enabled %s because the category does not have positive output\n", mem->name);
+				}
 			}
 
 			cur3 = mxmlFindElement(cur2, cur2, "support_level", NULL, NULL, MXML_DESCEND);
